import tm1637
from machine import Pin,PWM
from utime import sleep
tm = tm1637.TM1637(clk=Pin(0), dio=Pin(1))
Sec = 40
Min = 29
Hour = 7
state_value = 0
MotorPinA_1A = 10
MotorPinA_1B = 11
MotorPinB_1A = 12
MotorPinB_1B = 13

button = Pin(2, Pin.IN, Pin.PULL_UP)
buzzer = PWM(Pin(3))
led_R = Pin(4, Pin.OUT)
led_G = Pin(5, Pin.OUT)

def setup():
    global motorA1
    global motorA2
    global motorB1
    global motorB2
    motorA1 = Pin(MotorPinA_1A,Pin.OUT)    
    motorA2 = Pin(MotorPinA_1B,Pin.OUT)
    motorB1 = Pin(MotorPinB_1A,Pin.OUT)    
    motorB2 = Pin(MotorPinB_1B,Pin.OUT)

def playtone(frequency):
    buzzer.duty_u16(10000)
    buzzer.freq(frequency)
def bequiet():
    buzzer.duty_u16(0)
    
def motor(A1,A2,B1,B2):
    motorA1.value(A1) 
    motorA2.value(A2) 
    motorB1.value(B1) 
    motorB2.value(B2)
    
if __name__ == '__main__':
    setup()
    while True:
        tm.numbers(Hour,Min,colon=True)
        Sec = Sec + 1
        if Sec == 60:
            Min = Min + 1
            Sec = 0           
            if Min == 60:
                Hour = Hour + 1
                Min = 0
                if Hour == 24:
                    Hour = 0
        if (Hour == 7 and Min == 30 and Sec == 0):
            state_value = 1
        if (Hour == 7 and Min == 32 and Sec == 0):
            state_value = 1
        if (Hour == 7 and Min == 34 and Sec == 0):
            state_value = 1
        if (Hour == 7 and Min == 36 and Sec == 0):
            state_value = 1
        if button.value() == 0:
            state_value = 0
        if state_value == 1:
            tm.numbers(Hour,Min,colon=True)
            led_R.value(1)
            led_G.value(0)
            motor(1,0,1,0)
            playtone(262)
            sleep(0.5)
            tm.numbers(Hour,Min,colon=False)
            led_R.value(0)
            playtone(393)
            sleep(0.5)

        else:
            led_R.value(0)
            led_G.value(1)
            motor(0,0,0,0)
            bequiet()
            tm.numbers(Hour,Min,colon=True)
            sleep(0.5)
            tm.numbers(Hour,Min,colon=False)
            sleep(0.5)
        
